package com.yingying.tourist.business;

import java.util.HashMap;
import java.util.Map;
import java.util.ResourceBundle;

public class BusinessConstant {

    public enum Identity{
        A("A","自然的崇拜者"), B("B","洒脱的冒险家"), C("C","文化的朝圣者"),D("D","心灵的按摩师");

        Identity(String key,String value){
            this.key = key;
            this.value = value;
        }
        public String key;
        public String value;

        public static String getValue(String key) {
            if (key==null) return null;
            for (Identity d : Identity.values()){
                if (key.equals(d.key)) {
                    return d.value;
                }
            }
            return key;
        }
    }

    public static Map<Integer, String> describeMap = new HashMap<>(16,1);
    public static Map<Integer, String> destinationMap = new HashMap<>(16,1);
    static {
        describeMap.put(1,"在山西挖煤挖到300000斤");
        describeMap.put(2,"做环卫工打扫400个公厕坑位");
        describeMap.put(3,"去动物园完成200次小脑斧近身喂食");
        describeMap.put(4,"埋伏在巷子口专业碰瓷150次");
        describeMap.put(5,"出演神剧龙套装死1800次");
        describeMap.put(6,"在鬼屋扮鬼被人毒打900次");
        describeMap.put(7,"在路边卖掉12000张煎饼果子");
        describeMap.put(8,"帮狗粮工厂试吃1111罐狗粮");
        describeMap.put(9,"在澡堂搭毛巾帮人搓澡1700次");
        describeMap.put(10,"骑三轮车拉完800个胖太太客人");
        describeMap.put(11,"沿街收破烂走过600条街");
        describeMap.put(12,"劝退300位斯巴达广场舞大妈");
        describeMap.put(13,"猫在后厨边哭边刷30000个盘子");
        describeMap.put(14,"去民政局门口卖唱500首分手快乐");
        describeMap.put(15,"去黑帮老大家催收到200万欠款");
        describeMap.put(16,"下乡给4000头公猪做绝育手术");
        destinationMap.put(1,"随着脚蹼滑动我开始下潜，世界越来越静谧，一个庞大的珊瑚王国占据眼前所有视线，色彩斑斓的珊瑚宝宝们正在开演盛大的舞台剧。");
        destinationMap.put(2,"我站在自由女神像前，摆出了一样的姿势拍照纪念，这座见证了美国历史的雕像，在自由、民主的口号下高举火炬照亮了最深沉的夜。");
        destinationMap.put(3,"我迈步走近了佛塔，双手合十虔诚祈祷，心灵的一切杂念此刻都先放下，耳边只剩下风的私语和寺庙的诵经声，这是心灵的修行。");
        destinationMap.put(4,"我被告知获得了超能力，可以瞬移到世界上任何一个景点旅行，于是兴致勃勃地打包了行李拿上了相机，然后，梦醒了。");
        destinationMap.put(5,"我从新西兰皇后镇15000英尺的飞机上纵身跃下，云朵在身边穿行，身体在空中舒展，大地变换了新奇的角度，这就是高空速降。");
        destinationMap.put(6,"我喘着气爬到了长白山腰处，回首望去，身后是苍茫的林海，远处的天池波光粼粼，山顶层层云雾缭绕，敢问山中可有仙人修炼长生。");
        destinationMap.put(7,"我席地盘坐在蒙古大草原的篝火边，饮下一口马奶酒，在主人悠扬的马头琴声中悠悠哼着草原小调，草原的夜空繁星无际，雄伟辽阔。");
        destinationMap.put(8,"我坐在小酒馆的窗边，拿起酒杯小酌一口，窗外街上的游人行色匆匆，手指轻敲桌面打着节奏，轻声慢和一首回忆纯真的童谣。");
        destinationMap.put(9,"我站在北极的冰原上仰头望向夜空，极光在天边摇曳，仿佛火狐狸经过时，尾巴扫过白雪而激起的花火，代表了幸运和希望。");
        destinationMap.put(10,"大不列颠的夕阳将大本钟染成金黄色，我站在钟楼下，看着远处广场上飞起的鸽子，耳边响起英伦古典建筑上空浑厚的钟声。");
        destinationMap.put(11,"我斜躺在近海的水屋里，环顾四周皆是湛蓝的大海，打开窗，海浪的声音温柔地抚摸着耳膜，千奇百怪的热带鱼在身下梭巡起舞。");
        destinationMap.put(12,"我踩着轻快的步子下楼散步，期间共被广场舞大妈挡道7次，被业主的狗狂追10次，被小区的熊孩子撞飞8次，最后狼狈不堪逃回家。");
        destinationMap.put(13,"我艰难地踩着雪崖攀上了最后一米，立足在珠峰之巅，风雪仍在咆哮，缺氧让人窒息，但是征服生命禁区后的心灵感觉自由无比。");
        destinationMap.put(14,"我把遮沙的面罩重新带好，抬头望向面前的胡夫金字塔，斑驳的石砖满是风沙的痕迹，狮身人面像在旁沉默守护着最古老的文明荣光。");
        destinationMap.put(15,"我乘坐探险者一号飞船顺利着陆，跨出舱的第一步激起了飘扬的火星尘，这是整个太阳系最高的山脉，能看到远处蓝宝石般的地球。");
        destinationMap.put(16,"我头上搭着白毛巾，泡在樱花树下的露天温泉中，水面热气蒸腾，远处富士山顶白雪皑皑，空中樱花瓣打着旋缓缓飘落在水面上。");
    }
}
